version: "3.7"

services:
    openplateform-database:
        container_name: openplateform_mariadb
        build:
            context: ./database
        environment:
            - MYSQL_DATABASE=${DATABASE_NAME}
            - MYSQL_USER=${DATABASE_USER}
            - MYSQL_PASSWORD=${DATABASE_PASSWORD}
            - MYSQL_ROOT_PASSWORD=${DATABASE_ROOT_PASSWORD}
        volumes:
            - ./database/init.sql:/docker-entrypoint-initdb.d/init.sql
            - ./datalogs/data:/var/lib/mysql
        networks:
            - openplateform-database
    openplateform-php:
        container_name: openplateform_php_fpm
        build:
            context: ./php-fpm
        depends_on:
            - openplateform-database
        volumes:
            - ../sources:/var/www
        networks:
            - openplateform-database
            - openplateform-php
    openplateform-nginx:
        container_name: openplateform_nginx
        build:
            context: ./nginx
        volumes:
            - ../sources:/var/www
            - ./nginx/nginx.conf:/etc/nginx/nginx.conf
            - ./nginx/sites/:/etc/nginx/sites-available
            - ./nginx/conf.d/:/etc/nginx/conf.d
        depends_on:
            - openplateform-php
        networks:
            - openplateform-php
        ports:
            - ${NGINX_PORT}:80
            - ${NGINX_HTTPS}:443
            
networks:
    openplateform-database:
    openplateform-php:
